### Method

# EBook BookClientCursor get_alphabet

since: 3.12

#### Declaration [src]

    const gchar* const*
    e_book_client_cursor_get_alphabet (
      EBookClientCursor* cursor,
      gint* n_labels,
      gint* underflow,
      gint* inflow,
      gint* overflow
    )

#### Description [src]

Fetches the array of displayable labels for the active alphabet.

The active alphabet is based on the current locale configuration of the addressbook, and can be a different alphabet for locales requiring non-Latin language scripts. These UTF-8 labels are appropriate to display in a user interface to represent the alphabetic position of the cursor in the user’s native alphabet.

The `underflow`, `inflow` and `overflow` parameters allow one to observe which indexes Evolution Data Server is using to store words which sort outside of the alphabet, for instance words from foreign language scripts and words which start with numeric characters, or other types of character.

While the `underflow` and `overflow` are for words which sort below or above the active alphabets, the `inflow` index is for words which sort in between multiple concurrently active alphabets. The active alphabet array might contain more than one alphabet for locales where it is very common or expected to have names in Latin script as well as names in another script.

Available since: 3.12

Gets property | `EBook.BookClientCursor:alphabet`

#### Parameters

`n_labels`

  Type: `gint*`

  The number of labels in the active alphabet.

  The argument will be set by the function.
  The argument can be `NULL`.

`underflow`

  Type: `gint*`

  The underflow index, for any words which sort below the active alphabet.

  The argument will be set by the function.
  The argument can be `NULL`.

`inflow`

  Type: `gint*`

  The inflow index, for any words which sort between the active alphabets (if there is more than one).

  The argument will be set by the function.
  The argument can be `NULL`.

`overflow`

  Type: `gint*`

  The overflow index, for any words which sort above the active alphabet.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

The array of displayable labels for each index in the active alphabet.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.